{ config, ... }:
{
  sops.secrets.pve_exporter = {
    format = "yaml";
    sopsFile = ../../secrets/monitoring01/pve-exporter.yaml;
    key = "";
    mode = "0444";
  };
  services.prometheus.exporters.pve = {
    enable = true;
    configFile = config.sops.secrets.pve_exporter.path;
    collectors = {
      cluster = false;
      replication = false;
    };
  };
}
